namespace :console do
  namespace :auth do
    desc 'Enable PE console auth'
    task :enable do
      restart = false
      files = {
        'console_auth' => [ File.join(console_apps, 'console_auth.conf'),
                            File.join(console_apps, 'console_auth.conf.disabled') ],
        'rubycas'      => [ File.join(console_apps, 'rubycas-server.conf'),
                            File.join(console_apps, 'rubycas-server.conf.disabled') ]
      }
      files.each do |name,files|
        unless File.exists? files.first
          unless File.exists? files.last
            raise "Unable to enable PE console auth. File not found #{files.last}"
          end
          mv files.last, files.first
          restart = true
        end
      end
      if restart
        Rake::Task['console:auth:generate_secret'].invoke
        restart_result = %x[service pe-httpd restart]
        puts restart_result
      else
        puts 'PE console auth is already enabled.'
      end
    end
  end
end
