module Console

  module Models

    class Applications

      def self.public_directories
        Dir.glob($path + '/applications/*/public').each do |dir|
          dir.scan(/\/applications\/(.*)\/public/) do |matches|
            name = matches.pop
            yield name, dir
          end
        end
      end

      def self.load_services
        Dir.glob($path + '/applications/*/main.rb').each do |main|
          require main
          main.scan(/\/applications\/(.*)\/main.rb/) do |matches|
            name = matches.pop
            yield name
          end
        end
      end

      def self.list
        applications = []
        self.public_directories do |name, dir|
          applications.push(name)
        end
        applications
      end

    end

  end

end